Subject: Cuba Aids Project
From: Cubaaidspr <[email-masked]>
Date: Fri, 2 Jan 1998 03:47:27 EST

Miami Beach, Jan 2 1998

We are the Cuba Aids Project, a not for profit, humanitarian organization
providing relief to cubans infected/affected w/ HIV/AIDS in Cuba.

Due to factors known to everyone, our work is hindered by a myriad of
difficulties.

We have traveled to Cuba on three separate occassions, bringing hundreds of
kilograms of aid,  worth tens of thousands of dollars, to patients both
inside, and outside the Aids Sanatories System in the island.

We are now preparing our fourth shipment, and need...all assistance we can 
get....

We are located at    502  -   14th st. suite #5  Miami Beach Fl 33139
E - mail address is      =    cubaaidspr
Telephone     305-531-4185        fax #   305  -  535-9719
Contact person is , Alberto Montano ,Director,
Any help will be greatly appreciated!